package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 咨询机构自定义表单(AdvisoryBodyCustomForm)实体类
 *
 * @author sxk
 * @since 2023-12-20 16:39:43
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AdvisoryBodyCustomForm extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 项目主键
     */
    @TableId(value = "project_key")
    @NotNull(message = "项目主键不能为空")
    private Long projectKey;
    /**
     * 咨询机构ID
     */
    @NotNull(message = "咨询机构ID不能为空")
    private Long advisoryBodyId;
    /**
     * json数据
     */
    @NotBlank(message = "json数据不能为空")
    private String jsonData;
}
